// C-R circuit – growth of voltage on charge
// SCILAB source file: ex2301.sce
//
// Clear any previous graphic window
clf();
//
txt = ['Input resistance (R) in kohm';'Input capacitance (C) in uF';'Supply voltage'];
var = x_mdialog('Enter resistance and capacitance',txt,['100';'100';'100']);
r = evstr(var(1));
c = evstr(var(2));
vm = evstr(var(3));
c = 1E-6*c; 
r = 1E+3*r;
//
T=c*r;
t = [0:1:10*T]'; // set time scale to 10CR
//
vc = vm*(1 - %e^(-t/(c*r)));
vr = vm-vc;
// Plot 
plot2d(t,vc,style=5);  // red line for capacitor voltage
plot2d(t,vr,style=3);  // green line for resistor voltage
//
// Print grid and title
xgrid(); // add grid
xtitle('C-R charge - voltage plotted against time');
hl=legend(['Capacitor voltage';'Resistor voltage']);

